#include "ConfigurationDialog.hpp"

#include <QSettings>
#include <iostream>
#include <QShowEvent>

ConfigurationDialog::ConfigurationDialog(QWidget *parent)
  : QDialog(parent)
{
  setupUi(this);

  connect(this, SIGNAL(accepted()), this, SLOT(saveConfig()));
}

ConfigurationDialog::~ConfigurationDialog()
{
}

void
ConfigurationDialog::saveConfig()
{
  QSettings settings;

  settings.setValue("device", deviceComboBox->currentText());
}

void
ConfigurationDialog::showEvent(QShowEvent *event)
{
  if( !event->spontaneous() )
  {
    loadSettings();
  }
}

void
ConfigurationDialog::loadSettings()
{
  QSettings settings;

  QVariant deviceSetting = settings.value("device");
  if( deviceSetting.type() == QVariant::String )
  {
    deviceComboBox->setEditText( deviceSetting.toString() );
  }
}
