#ifndef _QTDG100CTLDIALOG_HPP
#define _QTDG100CTLDIALOG_HPP

#include "ui_DG100Dialog.h"
extern "C" {
#include "dg100-comm.h"
}

class QValidator;

class DG100Dialog : public QMainWindow, private Ui_DG100Dialog
{
  Q_OBJECT

  public:
    DG100Dialog(QDialog *confDialog, QWidget *parent = 0);
    ~DG100Dialog();

  private slots:
    void getSettings();
    void setSettings();
    void loadConfiguration();

  private:
    QDialog *confDialog;
    QValidator *intValidator;
    QLabel *statusLabel;
    QString deviceName;
    struct dg100config deviceConfig;

    void uiUpdateMode(QRadioButton *timeCheckBox, QLineEdit *timeEdit,
                      QRadioButton *distCheckBox, QLineEdit *distEdit,
                      struct loginterval *interval);

    void updateConfig(struct loginterval *interval,
                      QRadioButton *timeButton, QLineEdit *timeEdit,
                      QRadioButton *distButton, QLineEdit *distEdit);
};

#endif
